List the DMP segments in one of the profile's ad accounts
curl --request GET \
--url https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences \
--header 'Authorization: Bearer <token>'import requests
url = "https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"records": [
{
"id": "<string>",
"name": "<string>"
}
]
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}profiles
List the DMP segments in one of the profile's ad accounts
The USER DMP segments in an ad account, read from LinkedIn. List upload segments are left out because they only accept CSV uploads.
GET
/
profiles
/
{id}
/
ad-accounts
/
{ad_account_id}
/
audiences
List the DMP segments in one of the profile's ad accounts
curl --request GET \
--url https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences \
--header 'Authorization: Bearer <token>'import requests
url = "https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://linkedin.narrativeconnectors.com/profiles/{id}/ad-accounts/{ad_account_id}/audiences")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"records": [
{
"id": "<string>",
"name": "<string>"
}
]
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}Was this page helpful?

